︠9477da9a-d070-41e3-a7cb-9685a0e23008i︠
%html
<h1>div grad curl and all that</h1>
<h2>chapter 1 : Introduction, Vector Functions, and Electrostatics</h2>
<h3>Problem I-1</h3>
<p>Using arrows of the proper magnitude and direction, sketch each of the following vector functions:</p>

︡fdbcb544-9054-412f-a036-3d082ddb6af8︡{"html": "<h1>div grad curl and all that</h1>\n<h2>chapter 1 : Introduction, Vector Functions, and Electrostatics</h2>\n<h3>Problem I-1</h3>\n<p>Using arrows of the proper magnitude and direction, sketch each of the following vector functions:</p>"}︡
︠97de2805-369d-4338-8870-2bacd528829d︠
def plotvecfield(f):
    r = range(-3, 3, 1)
    s =0.5
    arrows = []
    for x10 in r:
        x = x10 * s
        for y10 in r:
            y = y10*s
            fx,fy = f(x,y)
            arrows.append(arrow((x,y), (x+fx, y+fy), hue=x*y))       
    sum(arrows).show(aspect_ratio=1)
︡b075b691-4524-4538-a3d2-aaca9c4f3fde︡︡
︠f2dadc61-427b-4c26-95a8-ab9c7e23855ai︠
%html
<p><span>a) iy + jx</span></p>

︡0ae5b507-7514-471c-b782-7d12c7f4c4c6︡{"html": "<p><span>a) iy + jx</span></p>"}︡
︠d5176d14-327b-48d9-b37b-f99fd4b11813︠
def f(x,y):
    return (y,x)
    
plotvecfield(f)
︡01a8b46c-ca50-4edd-86e0-637a2e7cd401︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠016c8369-344a-436f-9595-901f0a1030d4i︠
%html
<p style="text-align: justify;">b) (i + j) / &radic;2</p>

︡d6022019-d3da-494d-9ce7-5632ee9bfdf9︡{"html": "<p style=\"text-align: justify;\">b) (i + j) / &radic;2</p>"}︡
︠3fadfdcb-e3c0-459c-9b2c-02ec4ba8c868︠
def f(x,y):
    return (x/sqrt(2), y/sqrt(2))
    
plotvecfield(f)
︡2aab22ea-62cb-4fd9-b3df-1b0e0f075752︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠51bd9cf3-db54-4161-8771-ced4671d83a2i︠
%html
<p>c) ix - jy</p>

︡ce28cee4-20d8-40ca-b746-636456dcec35︡{"html": "<p>c) ix - jy</p>"}︡
︠7b6f7201-3766-4f43-a75f-37d295a29a92︠
def f(x,y):
    return (x,-y)
    
plotvecfield(f)
︡d0b98e7c-cb8f-4e3f-8ca4-a3ea9bde06c4︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠97de4474-4a5b-4f02-90b8-f64e3d2ea2afi︠
%html
<p>d) iy</p>

︡c5edda92-ddd5-4cdd-8aff-1c35b45b93ed︡{"html": "<p>d) iy</p>"}︡
︠c2b40adc-c5c8-448b-b577-a19664d129cd︠
def f(x,y):
    return(y,0)

plotvecfield(f)
︡7d751052-6588-487a-aca8-38d26c93f120︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠7fc24205-7cc7-4edb-b4b3-218dcfc62ec8i︠
%html
<p>e) jx</p>

︡7f5bf352-b50c-447e-9a50-dbb27cac98e7︡{"html": "<p>e) jx</p>"}︡
︠1f434045-afd1-42d2-8487-7f1355bbdfd2︠
def f(x,y):
    return(0,x)

plotvecfield(f)
︡59d71ab1-32c5-47f8-835f-b600d680ab46︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠b4694095-ba3b-4f50-98ae-5d34d69f8dcai︠
%html
<p>f) (iy + jx)/&nbsp;&radic;(x&sup2; + y&sup2;), (x,y)&nbsp;&ne;(0,0)</p>

︡b5c75c52-987e-4ac9-b790-056e933d78db︡{"html": "<p>f) (iy + jx)/&nbsp;&radic;(x&sup2; + y&sup2;), (x,y)&nbsp;&ne;(0,0)</p>"}︡
︠6ab8172d-d78a-40e3-abab-298ed4f1e271︠
def f(x,y):
    t = sqrt(x^2+y^2)
    return(y/t, x/t)

plotvecfield(f)
︡183d40d1-62f6-4650-821e-a5af560917a1︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠0bc32498-1e9c-408e-81e9-5d63b91f32d3i︠
%html
<p>g) iy + jxy</p>

︡184fef1b-af23-42d6-8f58-2eddd3cc8886︡{"html": "<p>g) iy + jxy</p>"}︡
︠9f2a0798-9528-464b-9c0a-30a76b59a0cd︠
def f(x,y):
    return(y,x*y)

plotvecfield(f)
︡eb9d36f2-0112-4ded-b012-9897d428a795︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠fbadb7ce-bc3e-4ebf-89fe-e32ed904afbdi︠
%html
<p>h) i + jy</p>

︡4c6c0aab-c001-4965-85ac-f1b88f207e1b︡{"html": "<p>h) i + jy</p>"}︡
︠55175bc1-0092-45bb-9a8e-bb2c1b7dc5c3︠
def f(x,y):
    return(1,y)

plotvecfield(f)
︡d4fdf405-d37a-4e5e-b65d-ab029da5f531︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠c83181ea-cd1f-4332-bf8d-3132faf5ddd3i︠
%html
<h3>Problem I-2</h3>
<p>Using arrows, sketch the electric field of a unit positive charge situated at the origin. [Note: You may simplify the problem by confining your sketch to one of the coordinate plane. Does it matter which plane you choose?]&nbsp;</p>

︡a84e7b34-663a-43ea-8612-e4f1fdee2344︡{"html": "<h3>Problem I-2</h3>\n<p>Using arrows, sketch the electric field of a unit positive charge situated at the origin. [Note: You may simplify the problem by confining your sketch to one of the coordinate plane. Does it matter which plane you choose?]&nbsp;</p>"}︡
︠96584263-f86c-40e3-85f6-979af352862b︠
def f(x,y):
    return(x^2,y^2)

plotvecfield(f)
︡811a5155-7711-4d41-bcf9-a48d5e3b5405︡︡
